// ISEKAI- the title says all.


// INOTES: GENERAL NOTES


/*
 GENERAL
 the isekai genre offers the ideal implementation of "knowledge/lore as 
 treasure" hunt game, here the PC apparently got an isekai reincarnation, not 
 only into a different world, having a substantial diversity of races, 
 culture &  society, and even "tech" (there is valid the reciprocal of  
 Clarke's 3rd principle..), but also different attitude on love and sex 
 genres.. and so (s)he must learn the knowledge & lore of a different world, 
 culture, race.. and gender!

 (13 Ago 2022) interesting suggestion from the Forum:

----- 
You could temporarily trap the player in a cutscene location and have them 
walk down a long corridor while they ruminate on their situation doling out 
text each time they move. 
If the player just battled a dragon, maybe it knocked all their inventory out 
of their hands and they need to pick everything up, which gives you natural 
pauses for the player to relate bits of inner-monologue upon retrieving each 
item.
If the player is remembering a conversation, you could do an interactive 
flashback and let the conversation play out with scenery and room detail the 
player can decide to interact with.
-----

Isn't a suggestion specific to this work, but ruminating on the situation IS 
consistent to the prologue; no evil dragons in the game, but the concept of 
inner monologue during certain action is sound.
The idea of interactive flashback is interesting, esp. in relation to the 
"same soul, thousands of reincarnations apart" base of the "isekai"

 KNOWLEDGE & LORE (the "treasures" of our hunt)
 The society is roughly late modern era as direct technology, but somewhat 
 above "middle magic" as reciprocal technology; the society is much more 
 advanced that XXIth century, as the same-sex mixed-race family of three 
 spouses (see below) points; Also, the culture reflect the existence of 
 magick, seen as a complement of technology, both contribuing to progress 
 and well-living.
 There's not much "monster" as in fantasy; let's say that, for example, some 
 beasts has innate magic, but not much dangerous than, say, a rampaging bull 
 so, that there's a sound and solid safety from feral beasts.
 On safety from sentient beasts, War is a very limited thing because, well, 
 the most peaceful and enlighted race happens to be that of the... Dragons, 
 whose obvious prowess in peace-enforcing capabilities is second only to 
 their excellence and aptitude in diplomacy and mediation; in other terms, 
 Dragons are the epitome of the Rooseveltian "speak slowly". 
 I'm sure that I will reference that the most wizened, eloquent and ablest 
 diplomat of the Dragons is/was known for his beloved treasure, an huge 
 collection of.. Teddy bears! (Teddy bear/Teddy Roosevelt..)
 The crime and law enforcement is roughly at 20th century level, the 
 reciprocal technology more than counterbalancing the 18th century technology.
 Education and research is 20thC in the "reciprocal tech" fields, and 18thC 
 in tech fields, with in-betweens where the two fields mix 
 (ex. leyden jars and lightning bolt-type magic together gives a late 
 18thC/early 19thC state  of electrics) 
 Incidentally, the three spouses, living together, being mages, first meets 
 during their academic years. 
 On the permanent lactation, the females are not only life-givers but also 
 life-sustainers, a thing whose, IMO, naturally lead to much less sciovinism 
 on that world, among other things.

 THE PLOT & NARRATIVE
 The rather advanced (my POV) and definitvely diverse society (multiracial 
 and multigender) together the "cross-gender" isekai need a set of delicate 
 balances and gradual transitions;
 There's a prologue of sort, in where the wonder and astonishment of being in 
 a very different body, female and elfin, allows, during the early game,
 a little, carefully dosed, burlesque alongside the lines "what evil will do 
 a male possessing a female body" isn't bad, allowing some in-joke and satire 
 on US pruderie.

 Advancing toward the mid-game, in where the two spouses, alarmed by losing 
 their emphatic link with Etuye, arrives, first Azuj then Miyai, the 
 "treasure hunting", the discovery of knowledge and lore about this new 
 world, with its diversity, differences and peculiarities gradually prevail 
 on the "discovery of herself", and thru this and the help and love of the 
 two spouses, led to the diagnosis and understanding of what is actually 
 happened (a literal culture shock of sort, ignited by the sudden recovery of 
 past memories of a past life in a different era and world, that is, XXIth C 
 Earth)

 The end game will be about recovering from the shock and settling a 
 balance between past and current memories (this allows exploring an 
 interesting narrative idea, "reverse isekai.."), with the loving help of the 
 other two spouses.

 ??? There will be a postgame ??? ex. a sort of "episodes atuy/miyai" ???

 THE MAP
 The "strange" house is actually her abode, whose is shared with her two 
 spouses; the central structure being the actual house, the northern wing 
 being workshops and storage and, about the southern tower, its higher 
 ceiling and the 3rd/4th floor is needed because the angelic (and winged) 
 member of the family has some "take-off issues" (think of a mild version of 
 SO4 Sarah's issues) and needs a high enough jumping spot, and on  the other 
 side, the tower's two lower floors are conveniently on the three sunny sides 
 (so, the 1st  floor is a drawing room and the 2nd a reading/writing  room).
 Outside, a garden is all around the house, locs reachable thru a path 
 turning around the house, Zork-style, and, behind the house, goes thru a 
 grove to a pond, the summer trysting place of the young triangle; Westward 
 from the front of the house, the path eventually cantgo to the world outside 
 the story; Perhaps somewhere in the garden behind the house should be an 
 outhouse, but surely there will be at least a wooden shack..
 Living together with two winged soulmates, the PC habitually constantly 
 renew a levitation spell, whose is obviously unknown to her past live of a
 wingless human male lived on magic-devoid Earth hundreds of thousands years 
 ago, hence not renewed at the start of the game (Tho' I don't think that 
 this will became the cause of the initial lying-on-the-floor state outside 
 the house; more probably the "isekai" happened in the magic lab, in the 
 northern extension.)

 CODING
 I think that the most elaborate part, aside the two NPCs, (see below) is the 
 unusual adaptive prose required by the gradual learning and understanding of 
 the new world; the rooms and object's description constantly changing in the 
 light of the learned knowledge & lore.

 IDEAS
 the clothing, alongside the furniture, unusual architecture (see above) can, 
 and will, be functional to the differences between the two worlds, separated 
 by hundreds of thousands of years, both chronological and light, and between 
 the earthlings and the isekai world beings, even in funny/burlesque/weird 
 ways, for example:
 Poking fun on The Classic of scholastic debating !!! with the addition of
 angelic/demonic marriage (plus an elf..).. poor St. Thomas...
 The angelic and daemonic spouses, allowing interesting, to say the 
 least, jabs and satire on manicheism, alongside on pruderie, how to imp ?
 How to implement eventual "reverse isekai" flashbacks ? (like the past worlds
 of HS drifter ?)

 THE PC 
 (name: Etuye Alasne; meaning "Plenty (Etuye) Spring (season) (Alasne)")
 she is an elf, and of course there's physiological and physical differences, 
 e.g. hair colour, pointy ears, and being versed in the field of 
 "reciprocal tech" (aka Magick); and in that rather open-minded society
 her family is composed of her and her two lesbian spouses, one of angelic 
 race, complete of wings, and other of demonic race (sorry, St.Thomas..), 
 also winged.

 she meet her future love-souls during the academic years, and their bond 
 evolved into a really strong and solid equilateral triangle, and after 
 graduating, their bond end finalised with their marriage.

 The nature of the "isekai" incident is that she suddenly, through a rater 
 massive flashback, Etuye remembered her previous life on Earth, and she got 
 comprensibly very confused between her current memories and the past one 
 when she lived, as an human male on the magick-devoid earth hundreds of 
 thousands of years ago. (One can even define this as a two-way isekai of 
 sort)

 The PC's soul, after many hundreds of millennia of reincarnations, became 
 our female elf PC, a magick researcher, one of her research being the 
 exploration of her soul's past memories, so basically the isekai incident 
 actually is also an incident of magick gone awry, stemming, well, from an 
 embarassing situation: she watched with his soulmancy tool a moment of our 
 name & face less PC's life (that is, one of her prior lives), and feeling 
 that there are also prior lives of Miyai and Azuj in an happy & festive 
 moment (a parade) she watched notwithanding, ahem, the "pressing need" 
 inside her hind quarter, until she realised that is better getting rid of 
 /that/ distraction, and NOT having the need of constant watching the magical 
 work (supposedly scrying of safe situations) she leaves her lab without 
 "pausing" her scrying, thinking that she don't lose much when relieving 
 against the bush just outside. But shit hits the fan during her evacuation, 
 because the happy & festive moment turn ugly (a sudden terror attack, like 
 Sadat's assassination) and when she return, she gets a major shock from the 
 sudden change, mixing the name & faceless PC's strong emotion of the moment 
 with hers (note that she felt that there was also prior lives of her 
 spouses..) with the resulting mixing between she and the N&F less PC (the 
 same soul, that is Etuye and the N&F PC is the same individual), and 
 regreding to her past life, raising the curtain of our history...

 So, this IF story, is one of recovering Etuye's memory and sorting out 
 between her current and prior memories,not only with the help of her two 
 spouses, but also thru the knowledge and lore of her current (that is, 
 Etuye's ) life (the "hunt of knowledge and lore as treasures")

 NOTE: the PC being elfin, the "understanding a new body and physiology" 
 will be much more about discovery and wonder than burlesque, perhaps is not 
 only good for the tone, but also for the sense of wonder.
 she's still not fertile, being a  long-living (1500-2000 years) Elf, 
 allowing a sound implicit bashing on certain  hypocrisies about underage 
 depiction, having here an unquestionably adult  woman, even  mature by human 
 standard, but a "child" by physiological criteria (one of the trait of 
 adulthood being, well, the Fertility, at  least IMVHO).
 Exact registry & vital data TBD, but let's say that she has a very abundant 
 1500-1700 Reileian years of life ahead, not much in the eyes  of the 12,886 
 Reileian years old  principal, a Great Wyrm, that  is, a Dragon.
 [minor lore point, having outlived at least no less than five generations of 
 the longevest species on Railei, perhaps (s)he known by  direct knowledge  
 the exactness of Etuye's  research, agreeing in celebrating/ritualising the 
 Soulmating of our trio, as the "Right Thing" to do to these three eternal 
 souls ?]
 Anyway, the most fun possible with this alien registry & vital is: married 
 at 42 or 47, currently has 69 years and she will became fertile "around 32  
 years in future" (that is, around 101...) putting together the legendary 
 69,101 and the Adams (or Roddenberry) Number... delivering a sound bashing 
 on these underage hypocrisies.

 NPCs

 The names of the two NPC:
 Miryarai, the angelic one's name, means "Beautiful (mir) Princess (yarai); 
 note that Miya in Japanese means "Princess", and "Sarai" mean "Princess"; a 
 sort of portmanteau.. (nick: Miyai)
 The name of the other spouse, the demonic one, means "Fiery Resolve", 
 That is, Atuzejiki, Jiki meaning "Fiery" and Atuze "Resolve" (nick: Azuj)

 I'm not sure how I will implement the two obvious NPCs.
 TADS3's forte is indeed the NPC handling, but the NPCs will be 
 present later, from roughly the middle game, after a substantial solo 
 exploration of the mansion, and they will be instrumental in discovering, 
 diagnosing and ultimately solving the endgame objective; that is, from their 
 perspective, helping their beloved spouse to recover from the unusual 
 "culture shock". 
 Note that all three are academics (in magic..), and their resourcefulness 
 and determination (not by chance one is named "Fiery Resolve..") is 
 strenghtened with their reciprocal love for each other.

 a little peculiarity of Atuzejiki is her little quirk of childishly calling 
 "lefty", "righty" and "taily" her wings and tail.

 Arrival of NPC: 
 Azuj being not only nearer, but also impulsive, chaotically and 
 fiercely inclined toward "cutting corners" used a pair of the not illegal 
 but frowned-up teleport spell between waypoints where no one can protest in 
 her flying toward her spouse-in-distress, so she arrives first, and until 
 the subsequent arrival of Miyai during the mid-late middle-game she's the 
 single follower NPC.
 
 Miyai being farther, doing academic work at the treble's alma mater, being 
 not only calm and phlegmatic, but also lawful, quickly put his work in an 
 ordered stand-by and after duly informing her fellows that she has a very 
 serious family issue, fly home fast but without cutting corners, arriving 
 after Azuj, during the middle game, completing the trio.
 */

/* THE STORY BEHIND THE CAMED HIGHBALL (SPOILER):
 * Actually IS a culture clash, between the earth human psyche and the 
 * Raileian elfin brain, and the full thinking, actually coming from
 * the communality of souls between the NF PC and Etuye, is
 * "you and me are the same, don't worry", that is, the same soul.
 * The Dragons have established peace more than 10,000 years ago, and one of 
 * the issues they faced in their effort in bringing together all the
 * diverse warring races on Railei was the deep-rooted belief that other 
 * species's milk are allegedly poisonous to other species (the significance 
 * and weight of this lie in the context of Railei's warring past is an open
 * reference to the fake news...), so, since the beginning of the era of 
 * Peace, an custom on Railei is of mixing different species's milk and 
 * drinking the mixed milk, in remembrance of when one of the eldest and more 
 * wizened leader of the Dragon mixed all possible combinations of 
 * alleged poisonous milk, then personally drinking front of all peoples's 
 * leaders all the combination of allegedly poisonous mixed milk,
 * culminating this confutation drinking the full content of a large
 * cup filled to the brim with all species's milk mixed together, disproving 
 * and confutating the fake story, a major milestone in the Dragon's building 
 * of the enduring peace on Railei, more than 10,000 railean years prior of 
 * this story.
 * Of course, these details will be discovered by the player later in the 
 * completed story... and yes, IS a frontal attack to the current state of
 * world politics, dominated by fake news-motivated continuous warring... 
 * IDEA: perhaps the 12,886+ years old draconic rector was actually a witness
 * of this momentuous historical episode, happened 10,160+ years ago ?
 * IDEA 2: that old Great Wyrm was the teddy (roosevelt) bear collector ?
 */

/*
THE PC, AN EARTHLING WHO HUNDRED OF THOUSAND OF YEARS  LATER BECAME 
THE ELFIN SPOUSE ETUYE ALASNE.
name: Etuye Alasne; meaning "Plenty (Etuye) Spring (season) (Alasne)"
full name: Etuye Alasne Vitasi rym Iylem. Vitasi means "female Magi"; until 
 her graduation and ablitation was Etuye Alasne Eniri rym Iylem, Eniri 
 meaning "female student, apprentice"
 full formal name: Etuye Alasne Vitasi of the most honorable rym Iylem. rym 
 is her family's title, roughly gentry and Iylem is the name of the House and 
 the land (forested, as appropriate for a respectable elfin family..)
 Notabene that rym is the title (as in "baron") and Rym is the place (as in 
 "barony")

 She is an elf, and of course there's physiological and physical differences, 
 e.g. hair colour, pointy ears, warm of varying intensity and location in the 
 chest & torso instead of heartthrob, blushing and like:
 
 warm in the chest = love
 warm in the shoulders = negative embarassment, e.g. blushing 4 a stain
 warm in the neck = excitation (NOT arousal !!!), expectation
 warm in the throat = positive embarassment, e.g. blushing 4 a compliment
 warm in the nape = happiness
 warm in the armpit = tbd. uncertainty ?
 
 generally, the central warming are positive feeling, the lateral negative,
 with a pair of notable exception: her eyes, crying when sad or moved, & her 
 pointy ears, vibrating (and warming..) when aroused...
 (I don't hide that this is an admixture of ET's glowing and the 
 stereotypical elfin (and vulcan) imperscrutability & apparent lack of 
 emotions, giving to Raileian elves an outward apparent lack of emotion, but 
 actually they felt emotions more strongly than humans but hidden inside 
 their bodies.

 she's exceptionally, even by the high elfin standards, well-versed in the 
 field of "reciprocal tech", that is, Magic(k), and has two near-unique 
 Attunements, Soulmancy and Time Scrying, which togeter are unique.
 In the rather open-minded society of the Isekai world, her family is 
 composed of her and her two aylisia (that is, lesbian) spouses, one of 
 angelic specie, Miryarai, and other of demonic specie (sorry, St.Thomas..), 
 Atuzejiki, both of course being.. winged. Living and loving two winged (and 
 flying) soulmates she constantly renew a long-duration levitation spell; 
 hence the rather few ladders in their nest.

 she meet her future love-souls during the academic years the beginnings 
 narrated in /First Contact/, and their bond quickly evolved into a really 
 strong and solid equilateral triangle, and after graduating, their bond end 
 finalised with their marriage. An unusual marriage, the
 Marriage till the End of Time.

 The nature of the "isekai" incident is, basically, that, Etuye being a 
 magick researcher, explores thru magick the memories of her soul's past 
 lives, but in an incident of magick gone awry, she suddenly, in a flash, 
 remembered *too* vividly one of her previous lives, that of an human male 
 on our XX-XXIthC. Earth, hundreds of thousands of years ago, that is, the 
 "other" PC, whose is the classical "nameless, faceless PC", about which
 few thing are known by implication, e.g. his being chivalrously respectful 
 of women. (he was a senior Naval NCO, hence not few of his traits and 
 abilities)
 That flashback across hundreds of thousands of years and lightyears put 
 Etuye into a very mixed-up and confused state, caused by the clash between 
 her current memories and the past ones on Earth: I daresay, the ultimate 
 "culture clash"...
 (Needless to say, this soul being one and the same, the "nameless, faceless"
 human male PC, after many, many reincarnations along 100s of Kyears, became 
 Etuye Alasne, our female elf PC..)
 This "isekai" incident, one of magick gone awry, raise the curtain of 
 this IF story, one about recovering the current memories and sorting out 
 between her current and (much) prior memories.
 
 NOTE: the PC being elfin, the "understanding a new body and physiology" 
 will be much more about discovery and wonder than burlesque (more 
 precisely, "harlequinesque", considering the intimistic narration), perhaps 
 is not only good for the tone, but also for the sense of wonder.
*/


/*
ATUZEJIKI, THE DEMON SPOUSE WITH FIERY RESOLVE IN NAME AND CHARACTER.
nick: Azuj
Her name, Atuzejiki, in daemonic language, means "Fiery Resolve", 
Jiki meaning "Fiery" and Atuze "Resolve" (nick: Azuj)
full name: Vhorr Knezejiki Atuzejiki
full formal name: Atuzejiki, of the ancient and storied clan of Vhorr, from 
the third main branch, of Knezejiki
Kneze means "Searcher", so Knezejiki means "Fiery searcher"
The meaning of Vhorr is lost in the mists of Time..

She's the demonic one of the trio, and her name is rather appropriate, 
because indeed in seeing her beloved elfin spouse's predicament ignites her 
fiery resolve toward helping her, whose counterbalance her impulsiveness, 
spontaneity, messing, &c, her being chaotic in the common sense of the word.

(btw, this is the core the mid-game, whereas, albeit carrying many results in 
the "knowledge/lore as treasure hunt", don't make many inroad toward the 
solution until the arrival of the third spouse, the angelic Miryarai, whose 
phlegmatism, calmness and.. seraphicness help finding the route toward the 
solution)

She also has the little quirk of childishly calling "lefty", "righty" and 
"taily" her wings and tail.

HER ARRIVAL
 
Azuj being not only nearer, but also impulsive, chaotically and 
fiercely inclined toward "cutting corners" used a pair of the not illegal 
but frowned-up teleport spell between waypoints where no one can protest in 
her flying toward her spouse-in-distress, so she arrives first, in a rather 
sudden and spectacular manner, whose also set the tone for the early 
interaction between the PC and Azuj, influenced by her appareance and 
complicated by her manners and spontaneity. (doing things, even private, with 
what on Earth is the personification of Evil, albeit natural in the context 
of being married and of the same sex, is surely unusual for the human 
PC whose "only" thousands of millennia later became Etuye)

INTERACTION

albeit Etuye/PC lost temporarily her reading ability, she don't lose her 
speaking ability, so she can understand from the start what Azuj says 
and can speak with her, and the help of Azuj is instrumental in recovering 
her levitating ability (This can boost the recovering of her reading 
ability?)

The first interactions are rather.. singular, at least in the IF narrative, 
since the first one, where she literally dives on Etuye and embrace her, arms 
and... leathery wings, followed by open "display of affection", up to 
foreplay. Etuye's soul having regressed to the PC lived on XXIthC Earth, and 
having only the XXIthC century perceptions associated to Azuj's physical 
appareance, is surely confused, notwithstanding her level of relationship and 
love knowledge.

Not that the next interaction don't ease the confusion in Etuye in her 
current state (and hopefully, the player): having flyed nonstop (and cutting 
corners..) in rescue of her beloved spouse, and relieved in finding her well, 
at least physically, she needs relieving herself.. physically. And being both 
females and married together, for Azuj is natural having Etuye's company in 
"answering the (belated) call of nature" led to another.. singular scene, one 
admittely golden banana of discord grade. The confusion is compounded by Azuj 
initiating "girl toilet talk"(basically convo nodes mixed with embarassing 
views on, well, the environment of a toilet talk..)...
(put sly reference tho' this prize and/or the debate on toilet-related troll 
entries in the IFComp, aside the obvious punch on St. Thomas and Scholastic 
debating ?)

The next scene is more normal, at start, cooking and eating together, 
followed with the discovery of the permanent lactation in the "natural" (for 
the Isekai world..) way, (breastfeed a grownup daemon then being breastfeed 
by said daemon.. BTW, one breast each is kept "full" for Miyai.. surely 
another banana-grade scene.. one whose send St. Thomas into loops)

After these scenes, is clear to Azuj that Etuye is well physically, but 
something is obviously amiss inside her, and her Name (Fiery Resolve...) 
kicks in, driven by her love for Etuye, and start together the search of a 
diagnosis first, then a cure (without much success, aside the player racking 
"treasures" in form of knowledge and lore of the Isekai world, Azuj being 
also an unuzual take of Dante's Virgil in this context..)
*/


/*
MIRYARAI, THE CALM, SERENE AND PHLEGMATIC ANGELIC SPOUSE
nick: Miyai
Her name, means "Beautiful (mir) Princess (yarai). 
Note that Miya in Japanese means "Princess", and "Sarai" mean "Princess"; a 
sort of portmanteau.. 
full name: Miryarai Nilasi Yie
full formal name: Miryarai Nilasi Yie, daughter of Nilasi Yie Hasjin, 
daughter of Yie Hasjin Noolan

She's the angelic one of the trio, and is beautiful even by angelic standard 
(notwithstanding St. Thomas..), and has a rather scientific mindset,but she's 
not a cold cerebral scientist, but a caring and tender one, full of scruples. 
her beloved elfin spouse's predicament don't push a strain on her serenity 
and phlegmatism: indeed is what is needed for balancing and steering the PC 
confused between his past and her present, and the impulsive messing of Azuj 
toward the end-game.

Her phlegmatism and.. seraphic calmness is what led to the end-game.

Yes, Etuye, she HAS her halo... but appears only when she's casting spells, 
and in due progress of this IF, she WILL cast at least one spell !
... well, not only. Her halo manifests also during her climax and orgasm, a 
thing whose insure the absolute meltdown of St. Thomas and all Scholastics !!

Also, she has some "take-off issues" (think of a mild version of SO4 Sarah's 
issues) and needs a high enough jumping spot.
She has a peculiar tic-like wing-twitching, whose is her silent but very 
elaborate natural body language (yes, Graham, IS a pun on I7/10 !!),
her soulmates being the only two people fully fluent in this "Miyaese"

Needless to say, Miyai and Azuj together WILL led to the orgiastic climax of 
the "poking fun on St. Thomas and the Scholastic debating" side narrative 
(c'mon, there's a daemon and an angel in a lesbian relationship..)

HER ARRIVAL
 
being farther, doing academic work at the treble's alma mater, being 
not only calm and phlegmatic, but also lawful, quickly put his work in an 
ordered stand-by and after duly informing her fellows that she has a very 
serious family issue, fly home fast but without cutting corners, arriving 
after Azuj, during the middle game, completing the trio.
She arrives in the meadow behind the house, and her arrival and embrace is 
less sudden, but no less "loveful" than that of Azuj; she lands on the 
meadow, then run on her feet toward Etuye, and her embrace is not only no 
less sensual than that of Azuj, but also full of protective feelings.

INTERACTION

The PC by her arrival should have recovered reading and the levitation spell, 
and understand that she not only in love, but also married, with Miyai and 
Azuj, albeit still confused between her past and current reincarnation.

The first interactions are "scientific" in the sense that Azuj at least give 
not only the correct diagnosis, but also explain, in her impulsive and 
disorganised manner, how she came to the diagnosis, leading to basically a 
rerun of the intimistic scenes with Azuj (relieving, milking), indipendentely 
confirming Azuj's diagnosis; Incidentally, having also fly home no-stop like 
Azuj, but without cutting corners, she actually needs relieving and (breast) 
feeding.

The rerun of these interactions isn't worsening the confusion in Etuye 
in her current state (and hopefully, the player): she, and the past he, now 
understand that also Miyai has flyed nonstop (without cutting corners..) in 
rescue of her beloved spouse, and relieved in finding her well, at least 
physically, and that she needs relieving herself, more than Azuj. 
And having understand and accepted that, being a female and in married 
lesbian relationship with two other females, is natural giving her (Etuye's) 
company during the "answering the call of nature" and the accompanying "girl 
toilet talk".
The subsequent breast-feeding scene should be the very first interaction 
between the full trio, Azuj and Etuye having each kept one breast "full" 
for Miyai, whose obviously has both her breast full..

(aside that angelic relieving, followed by the trilateral breast-feeding, 
between Miyai, Etuye, the elfin PC, AND the demonic Azuj, is the ideal 
setting for a major punchfest on St. Thomas and the Scholastic debating...)

Her "display of affection" toward Etuye has a "protective" component, and a 
more slow, deliberate, "playing", but no less sensuality than Azuj.

Of course, Etuye's regression of her soul back to the PC lived on XXIthC 
Earth, and having only the XXIthC century perception associated to Miyai 
(and Azuj)'s physical appareance, is not only confusing, but is a perception 
whose includes St. Thomas and the Scholastic debating, so... ;)

After these scenes, Miyai not only confirm Azuy's diagnosis, but also start 
thinking about a cure, of course, one whose heal not only Etuye, but also her 
past life, and the (re)search for a cure is the theme of the end game.
*/
